Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface StrucDocLinkHtml

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  StrucDocLinkHtmlImpl

    public interface StrucDocLinkHtml

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Struc Doc Link Html'.

The following features are supported:

- `Mixed`
- `Group`
- `Footnote`
- `Footnote Ref`
- `Href`
- `ID`
- `Language`
- `Name`
- `Rel`
- `Rev`
- `Style Code`
- `Title`

See Also:
  `CDAR2Package.getStrucDocLinkHtml()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getFootnote()` Returns the value of the 'Footnote' containment reference list.
`org.eclipse.emf.common.util.EList` | `getFootnoteRef()` Returns the value of the 'Footnote Ref' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`java.lang.String` | `getHref()` Returns the value of the 'Href' attribute.
`java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
`java.lang.String` | `getLanguage()` Returns the value of the 'Language' attribute.
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()` Returns the value of the 'Mixed' attribute list.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` | `getRel()` Returns the value of the 'Rel' attribute.
`java.lang.String` | `getRev()` Returns the value of the 'Rev' attribute.
`java.util.List` | `getStyleCode()` Returns the value of the 'Style Code' attribute.
`java.lang.String` | `getTitle()` Returns the value of the 'Title' attribute.
`void` | `setHref(java.lang.String value)` Sets the value of the '`Href`' attribute.
`void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
`void` | `setLanguage(java.lang.String value)` Sets the value of the '`Language`' attribute.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setRel(java.lang.String value)` Sets the value of the '`Rel`' attribute.
`void` | `setRev(java.lang.String value)` Sets the value of the '`Rev`' attribute.
`void` | `setStyleCode(java.util.List value)` Sets the value of the '`Style Code`' attribute.
`void` | `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMixed

    org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Returns the value of the 'Mixed' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Mixed' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getStrucDocLinkHtml_Mixed()`

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getStrucDocLinkHtml_Group()`

### getFootnote

    org.eclipse.emf.common.util.EList getFootnote()

  Returns the value of the 'Footnote' containment reference list. The list contents are of type `StrucDocFootnote`.

  If the meaning of the 'Footnote' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Footnote' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocLinkHtml_Footnote()`

### getFootnoteRef

    org.eclipse.emf.common.util.EList getFootnoteRef()

  Returns the value of the 'Footnote Ref' containment reference list. The list contents are of type `StrucDocFootnoteRef`.

  If the meaning of the 'Footnote Ref' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Footnote Ref' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocLinkHtml_FootnoteRef()`

### getHref

    java.lang.String getHref()

  Returns the value of the 'Href' attribute.

  If the meaning of the 'Href' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Href' attribute.
  See Also:
    `setHref(String)`, `CDAR2Package.getStrucDocLinkHtml_Href()`

### setHref

    void setHref(java.lang.String value)

  Sets the value of the '`Href`' attribute.

  Parameters:
    `value` - the new value of the 'Href' attribute.
  See Also:
    `getHref()`

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `CDAR2Package.getStrucDocLinkHtml_ID()`

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`

### getLanguage

    java.lang.String getLanguage()

  Returns the value of the 'Language' attribute.

  If the meaning of the 'Language' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language' attribute.
  See Also:
    `setLanguage(String)`, `CDAR2Package.getStrucDocLinkHtml_Language()`

### setLanguage

    void setLanguage(java.lang.String value)

  Sets the value of the '`Language`' attribute.

  Parameters:
    `value` - the new value of the 'Language' attribute.
  See Also:
    `getLanguage()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `CDAR2Package.getStrucDocLinkHtml_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getRel

    java.lang.String getRel()

  Returns the value of the 'Rel' attribute.

  If the meaning of the 'Rel' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rel' attribute.
  See Also:
    `setRel(String)`, `CDAR2Package.getStrucDocLinkHtml_Rel()`

### setRel

    void setRel(java.lang.String value)

  Sets the value of the '`Rel`' attribute.

  Parameters:
    `value` - the new value of the 'Rel' attribute.
  See Also:
    `getRel()`

### getRev

    java.lang.String getRev()

  Returns the value of the 'Rev' attribute.

  If the meaning of the 'Rev' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rev' attribute.
  See Also:
    `setRev(String)`, `CDAR2Package.getStrucDocLinkHtml_Rev()`

### setRev

    void setRev(java.lang.String value)

  Sets the value of the '`Rev`' attribute.

  Parameters:
    `value` - the new value of the 'Rev' attribute.
  See Also:
    `getRev()`

### getStyleCode

    java.util.List getStyleCode()

  Returns the value of the 'Style Code' attribute.

  If the meaning of the 'Style Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `setStyleCode(List)`, `CDAR2Package.getStrucDocLinkHtml_StyleCode()`

### setStyleCode

    void setStyleCode(java.util.List value)

  Sets the value of the '`Style Code`' attribute.

  Parameters:
    `value` - the new value of the 'Style Code' attribute.
  See Also:
    `getStyleCode()`

### getTitle

    java.lang.String getTitle()

  Returns the value of the 'Title' attribute.

  If the meaning of the 'Title' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Title' attribute.
  See Also:
    `setTitle(String)`, `CDAR2Package.getStrucDocLinkHtml_Title()`

### setTitle

    void setTitle(java.lang.String value)

  Sets the value of the '`Title`' attribute.

  Parameters:
    `value` - the new value of the 'Title' attribute.
  See Also:
    `getTitle()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD